%define ver 4.78
%define rel 1mdk

Summary:	Netscape in catalan
Summary(ca):	Mòdul català per al Navegador Netscape
Name:		netscape-catalan
Version:	%{ver}
Release:	%{rel}

Source:		http://www.softcatala.com/--somewhere--/ns47caR3_unix.tar.bz2
# Not used but please keep it (if you are not sure that it's no longer needed)
Source1:	Netscape.ca.bz2
Patch:		netscape-catalan-name.diff.bz2

Group:		Networking/WWW
Copyright:	http://www.mozilla.org/docs/l10n/ulpLicense.html
URL:		http://www.softcatala.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/netscape-catalan-root
Requires:	netscape-common = %{ver}
Requires:	locales-ca
Icon:		netscape-catalan-logo.xpm
ExcludeArch: ia64

%description
This package contains the needed files to have Netscape's interface
in catalan. 
The translation has been done by SoftCatala` (http://www.softcatala.com/).

%description -l ca
Aquest mòdul conté tot el necessari per convertir al català una versió
prèviament instal·lada del Netscape per a Unix.

%prep

%setup -q -c
%patch -p0

%build
chmod a-x *
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/ca
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ca/app-defaults

%install
bzcat $RPM_SOURCE_DIR/Netscape.ca.bz2 > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ca/app-defaults/Netscape
tar xvf nethelp_ca.tar -C  $RPM_BUILD_ROOT/usr/lib/netscape/ca
tar xvf spell_ca.tar -C $RPM_BUILD_ROOT/usr/lib/netscape/ca

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc llegeixme.txt
/usr/lib/netscape/ca
%config /usr/X11R6/lib/X11/ca/app-defaults/Netscape

%changelog
* Fri Aug 10 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 4.78-1mdk
- Adapted to Netscape 4.78

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 4.77-2mdk
- ExcludeArch ia64

* Mon Apr 09 2001 David BAUDENS <baudens@mandrakesoft.com> 4.77-1mdk
- Adapted to Netscape 4.77

* Thu Jan 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 4.76-2mdk
- fixed version number in the resource file

* Wed Dec 13 2000 David BAUDENS <baudens@mandrakesoft.com> 4.76-1mdk
- Adapted to Netscape 4.76

* Fri Aug 17 2000 David BAUDENS <baudens@mandrakesoft.com> 4.75-1mdk
- Adapted to Netscape 4.75

* Sun Jul 30 2000 David BAUDENS <baudens@mandrakesoft.com> 4.74-1mdk
- Adapted to the 4.74 version

* Sat May 06 2000 David BAUDENS <baudens@mandrakesoft.com> 4.73-1mdk
- Adapted to the 4.73 version

* Wed Mar 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.72-1mdk
- Adapted to the 4.72 version
- adapted to new Group: naming

* Mon Jan 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with updated Netscape.ad file, and added nethelp and a spell checker
  from the SoftCatalà archive

* Wed Dec 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- s/Netscape/Mozilla/ on most visible strings to comply with
  Netscape's Universal Localization license.
- first Mandrake version

